<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.newId">var.newId</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;name/></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISWorkflowName">am.twf.055_createQuery</Property>
		<Property name="ISServerName">ice-dev02.inubit.com</Property>
		<Property name="ISXMLValidatorErrorString"></Property>
		<Property name="query" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;query>
			&lt;visibility>user&lt;/visibility>
			&lt;description>My first query&lt;/description>
			&lt;filters>
				&lt;filter>
					&lt;key>id&lt;/key>
					&lt;operator>=&lt;/operator>
					&lt;value>1234&lt;/value>
				&lt;/filter>
			&lt;/filters>
		&lt;/query></Property>
		<Property name="ISInvokingWorkflow">am.twf.060_query</Property>
		<Property name="ISModuleId">574051</Property>
		<Property name="ISGlobalProcessId">37256</Property>
		<Property name="ISUserName">AM</Property>
		<Property name="ISInvokingModule">am.twf.055_createQuery</Property>
		<Property name="ISCurrentTime">1372690314240</Property>
		<Property name="ISXMLValidatorError">false</Property>
		<Property name="ISProcessId">37256</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISModuleName">am_demux</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>
	&lt;context>query&lt;/context>
	&lt;method>create&lt;/method>
	&lt;parameters>
		&lt;query>
			&lt;visibility>user&lt;/visibility>
			&lt;description>My first query&lt;/description>
			&lt;filters>
				&lt;filter>
					&lt;key>id&lt;/key>
					&lt;operator>=&lt;/operator>
					&lt;value>1234&lt;/value>
				&lt;/filter>
			&lt;/filters>
		&lt;/query>
	&lt;/parameters>
&lt;/request>&lt;startTimestamp>1372690313843&lt;/startTimestamp>&lt;configuration>&lt;alerting>&lt;recipient>&lt;eMailAddress>andreas.meinl@bosch-si.com, kaufhold@virtimo.de&lt;/eMailAddress>&lt;/recipient>&lt;/alerting> 
    
  &lt;database> 
    &lt;uri>jdbc:oracle:thin:@oracle.inubit.com:1521:orcps&lt;/uri>  
    &lt;user> 
      &lt;loginName>icedev02_am&lt;/loginName>  
      &lt;password>cb725eb99d&lt;/password>  
      &lt;!--loginName>icedev02&lt;/loginName>  
      &lt;password>h14aa4ab60&lt;/password--> 
    &lt;/user>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default> 
  &lt;/database>&lt;entity>&lt;validate>true&lt;/validate>&lt;/entity>&lt;mail>&lt;host>mail.inubit.com&lt;/host>&lt;sender>&lt;eMailAddress>ice-operations@inubit.com&lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>  
  &lt;response>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;format>true&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;user>&lt;maxAge>P1D&lt;/maxAge>&lt;/user>  
  &lt;version>1.0.0&lt;/version> 
&lt;/configuration>&lt;user>&lt;id>12314&lt;/id>&lt;displayName>Max Mustermann&lt;/displayName>&lt;loginName>mmn&lt;/loginName>&lt;name>Max Mustermann&lt;/name>&lt;eMailAddress>andreas.meinl@bosch-si.com&lt;/eMailAddress>&lt;active>true&lt;/active>&lt;locale>en_US&lt;/locale>&lt;language>en&lt;/language>&lt;country>US&lt;/country>&lt;organization>&lt;id>12307&lt;/id>&lt;displayName>Mustermann GmbH&lt;/displayName>&lt;name>Mustermann GmbH&lt;/name>&lt;createdOn>2013-06-01T21:02:06Z&lt;/createdOn>&lt;createdByUser>&lt;id>12314&lt;/id>&lt;displayName>Max Mustermann&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2013-07-01T07:26:51Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>12621&lt;/id>&lt;displayName>Christian Kaufhold&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/organization>&lt;roles>&lt;role>am-administrator&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>asset.create&lt;/permission>&lt;permission>asset.delete&lt;/permission>&lt;permission>asset.get&lt;/permission>&lt;permission>asset.query&lt;/permission>&lt;permission>asset.update&lt;/permission>&lt;permission>organization.get&lt;/permission>&lt;permission>person.create&lt;/permission>&lt;permission>person.delete&lt;/permission>&lt;permission>person.get&lt;/permission>&lt;permission>person.query&lt;/permission>&lt;permission>person.update&lt;/permission>&lt;permission>query.create&lt;/permission>&lt;permission&gt;query.delete&lt;/permission>&lt;permission>query.get&lt;/permission>&lt;permission>query.query&lt;/permission>&lt;permission>query.update&lt;/permission>&lt;permission>template.create&lt;/permission>&lt;permission>template.delete&lt;/permission>&lt;permission>template.get&lt;/permission>&lt;permission>template.getImage&lt;/permission>&lt;permission>template.query&lt;/permission>&lt;permission>template.setImage&lt;/permission>&lt;permission>template.update&lt;/permission>&lt;permission>user.get&lt;/permission>&lt;/permissions>&lt;createdOn>2013-06-01T21:02:06Z&lt;/createdOn>&lt;createdByUser>&lt;id>12314&lt;/id>&lt;displayName>Max Mustermann&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2013-07-01T14:44:41Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>12314&lt;/id>&lt;displayName>Max Mustermann&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>  
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.newId"/>  
  &lt;xsl:template match="/">&lt;xsl:variable as="element()" name="var.body">&lt;body> 
      &lt;query>
      &lt;id>
        &lt;xsl:value-of select="$var.newId"/>
      &lt;/id>
    &lt;/query>  
       
    &lt;/body>&lt;/xsl:variable>
    &lt;xsl:sequence select="am:response($var.body, ())"/> 
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>